> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/83.-query-collect-platform-context.md).

# 83. Poizvedba: zberi kontekst platforme

Pri velikem številu (stotinah ali tisočih) obdelanih naborov podatkov (kot so »SatelliteImage«, »AsAppliedDataset«, »YieldDataset«, »SoilDataset« itd.) je vedno treba poznati stanje obdelave vsakega nabora podatkov in zbrati povzetek obdelave. Te podrobnosti so na voljo prek poizvedbe `getPlatformContext` .

Pogosti primeri uporabe:

* Sledenje napredku obdelave
* Zbiranje povzetka in statističnih podatkov o obdelavi
* Spremljanje napak in opozoril med obdelavo za nadaljnjo podrobnejšo preiskavo prizadetih naborov podatkov

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     optional
   }
 }
}
```

{% endcode %}

Podprti vhodni filtri:

* `dateFrom` kot datum in čas v obliki ISO 8601 (npr. `"2023-05-25T12:49:00.000Z"`)
* `dateTo` kot datum in čas v obliki ISO 8601 (npr. `"2023-05-30T06:35:00.000Z"`)
* `operationIds` kot polje identifikatorjev operacij (`Strings`)
* `statuses` kot polje z vrednostmi iz `ContextEventStatus` naštevalnega tipa z vsemi stanji obdelave, tudi vmesnimi; priporočamo uporabo ključnih vrednosti `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` kot polje z vrednostmi iz `TreeNodeEntity` naštevalnega tipa z vsemi entitetami GeoPard
* `subFieldUuids` kot polje UUID-jev, povezanih z izbranimi entitetami v `subFieldTypes`
* `userUuids` kot polje UUID-jev »User« za iskanje

{% hint style="info" %}
Nastavljen mora biti vsaj eden od naslednjih filtrov: `userUuids`, `fieldUuids`, `subFieldUuids`, ali `operationIds`.
{% endhint %}

{% hint style="info" %}
Če `dateFrom` in `dateTo` nista določena, je privzeto trajanje poizvedbe nastavljeno na 12 ur. Najdaljše priporočeno časovno obdobje za pridobivanje podatkov je 24 ur.
{% endhint %}

{% hint style="info" %}
Omejitev je največ 10.000 vrnjenih vrstic.
{% endhint %}

{% hint style="info" %}
Za prikaz vseh najnovejših razpoložljivih vrednosti enumov (na primer: `TreeNodeEntity`, `ContextEventStatus, ContextMessageKey`) je priporočljivo uporabiti [Altair](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/getting-started-with-the-geopard-api.md).
{% endhint %}

Izhodni objekt vključuje naslednje atribute:

* `fieldUuid` predstavlja UUID povezanega polja
* `subFieldUuid` označuje UUID povezanega obdelanega nabora podatkov (na primer »SatelliteImage«, »AsAppliedDataset«, »YieldDataset«, »SoilDataset« itd.)
* `subFieldType` je enum, povezan z entiteto `TreeNodeEntity`
* `operationId` je niz z identifikatorjem opravila. Ta ostane enak v vseh povezanih verigah obdelave, zato je za sledenje vsem fazam obdelave priporočljivo združevanje po tem identifikatorju.
* `status` je enum, povezan z `ContextEventStatus`
* `executionDate` je niz v obliki ISO 8601, ki označuje čas izvedbe
* `messageKey` je enum, povezan z `ContextMessageKey` in opisuje izid izvedbe
* `optional` je niz s tehničnim opisom (če je ustrezno), ki se uporablja predvsem za odpravljanje napak in poročanje o njih.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/83.-query-collect-platform-context.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
